Bug 497950 - psi roster doesn't update unless window is resized
psi roster doesn't update unless window is resized
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
9
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
: 494364 498562 502354 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 23:49 EDT by ali
Modified: 2009-06-15 22:03 EDT (History)
6 users (show)

See Also:
Fixed In Version: 2.0.2-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 22:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ali 2009-04-27 23:49:21 EDT
Description of problem:

psi  0.12.1
qt  4.5.0

How reproducible:


Yesterday i have updated my fedora 9 system,After that i am unable to login to psi,No error show up,Just form many tries i just was able to log inn once or brief of 5 second,As before it was realy working i mean using previous version.and the star icon show connection activity,But with new version it dont blink in panel.
Comment 1 Sven Lankes 2009-04-28 18:25:46 EDT
I'm unable to reproduce this on my fully-updated F-9 test-system. psi starts up and connects normally.
Comment 2 ali 2009-04-28 23:07:04 EDT
I can send you some info,like screen shots,that it was not connecting,As before it was working fine i mean in previous version.On more thing we are using gpg key also for encryption over jabber.
Comment 3 ali 2009-04-28 23:43:14 EDT
One more thing i notice this new version of psi is resource hungry see 

20   0  124m  26m  17m R 99.1  1.4   0:41.27 psi
Comment 4 ali 2009-04-28 23:59:00 EDT
Ok i think i got issue,If i use gpg key then it didn't connect and if i say psi to use none then it work fine.
Account setup ---> details ----> open PGP.use none
Comment 5 Sven Lankes 2009-04-29 02:29:30 EDT
This is most likely related to the installed qca version. There seem to be issues with qca < 2.0.2 and qt 4.5.

Unfortunately qca 2.0.2 isn't released yet.

I'll try to get you a test-rpm of a qca-svn snapshot later this week so you can test if that fixes the issue.
Comment 6 ali 2009-04-29 09:23:06 EDT
Right thanks
Comment 7 ali 2009-04-29 10:06:06 EDT
One issue more,I join room,at first i cant  see any participant then i resize windows,afterwards i can see all participants,Psi at time take 100% CPU usage then need to restart it .
Comment 8 Fedora Update System 2009-05-07 06:41:08 EDT
qca2-2.0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qca2-2.0.2-1.fc11
Comment 9 Fedora Update System 2009-05-07 06:42:07 EDT
qca2-2.0.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qca2-2.0.2-1.fc10
Comment 10 Fedora Update System 2009-05-09 00:18:26 EDT
qca2-2.0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 ali 2009-05-12 10:24:32 EDT
Hi All

I have just install new fresh f10 system to get rid of the psi problem i was facing in f9.I am very disappointed that this problem is still exists  in f10 also.I am not much concern about encryption i am more concern my psi take all CPU cycle and hang system and  when i click person A to start chat with him psi open Person B chat window.Then i have to resize windows after i click person A then it open Its window for chat.Details are below.same way i have to resize room when ever a person come or left or change his/her status.To see what new status.

psi-0.12.1-2.fc10.i386
qt-4.5.0-14.fc10.i386
qt3-3.3.8b-17.fc10.i386
qt-x11-4.5.0-14.fc10.i386
qca-ossl-2.0.0-0.4.beta3.fc10.i386
qca2-2.0.2-1.fc10.i386
qca-gnupg-2.0.0-0.2.beta1.fc10.i386
Comment 12 Sven Lankes 2009-05-14 13:36:33 EDT
Ali, could you please confirm that the gpg-key issue is fixed with the qca update?

In reply to your comment #11:

First of all: Please don't add additional issues to an existing bug. One bugzilla entry == one issue. This is vital.

I have also seen that issue before but cannot reproduce it. There is an upstream bug about it at http://flyspray.psi-im.org/task/953 . You could try updating your qt version to 4.5.1 to see if that fixes it (4.5.1 is available in updates-testing - use "yum --enablerepo=updates-testing install qt" got get it).
Comment 13 ali 2009-05-14 13:49:37 EDT
i am testing i let you know.
Comment 14 ali 2009-05-15 12:21:38 EDT
Still i am not able to login to psi when gpg-key.In 10 tries i login once.That was when there are few like one or 2 people online in jabber.this the only time i can loginn.
Comment 15 Fedora Update System 2009-05-25 17:14:53 EDT
qca2-2.0.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Kevin Kofler 2009-06-04 22:31:11 EDT
Why was that update only pushed to Fedora 10 and 11? F9 is still open for bugfixes.
Comment 17 Sven Lankes 2009-06-05 02:27:20 EDT
(In reply to comment #16)

> Why was that update only pushed to Fedora 10 and 11? F9 is still open for
> bugfixes.  

Mainly because it doesn't seem to fix the bug.

I'll happily push it for F9 if you find that it fixes anything for you.
Comment 18 ali 2009-06-05 02:56:44 EDT
i got following reply from the following link below,that you mention in you comment #12

---------------------------------------------------------------------------------
As far as I know these are due to some incompatibility with Qt 4.5 and QCA.  You need at least qt 4.5.1, qca 2.0.2, and qca-gnupg-2.0.0-beta3.  At this time, it is inconclusive if there's any incompatibility with Psi 0.12 itself
---------------------------------------------------------------------------------
http://flyspray.psi-im.org/task/953#comment1003



But they have mention qca-gnupg-2.0.0-beta3,But in fedora  10 repo  only qca-gnupg-2.0.0-0.2.beta1.fc10.i386 is available  .
Comment 19 Sven Lankes 2009-06-05 07:22:34 EDT
(In reply to comment #18)

> But they have mention qca-gnupg-2.0.0-beta3,But in fedora  10 repo  only
> qca-gnupg-2.0.0-0.2.beta1.fc10.i386 is available  .  

Interesting. I'll make sure to get you a testable beta3 rpm over the weekend.

In my local test updating to -beta3 fixes the issue for me but that could also be just a coincidence as I'm not seeing the problem all of the time.
Comment 20 Sven Lankes 2009-06-05 15:37:01 EDT
*** Bug 498562 has been marked as a duplicate of this bug. ***
Comment 21 Sven Lankes 2009-06-05 15:37:30 EDT
*** Bug 494364 has been marked as a duplicate of this bug. ***
Comment 22 Sven Lankes 2009-06-05 15:41:34 EDT
Could you please try to install the updated qca-gnupg from:

http://koji.fedoraproject.org/koji/buildinfo?buildID=105012

and see if that fixes the resizing issue?

The above links point to the f10-builds. If you search koji for qca-gnupg you'll also find F11-builds.
Comment 23 ali 2009-06-08 13:48:16 EDT
issue seems resolved,But above rpm should be dependency of psi by default.
Comment 24 Fedora Update System 2009-06-08 17:15:16 EDT
qca-gnupg-2.0.0-0.3.beta3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qca-gnupg-2.0.0-0.3.beta3.fc11
Comment 25 Fedora Update System 2009-06-08 17:16:45 EDT
qca-gnupg-2.0.0-0.3.beta3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qca-gnupg-2.0.0-0.3.beta3.fc10
Comment 26 Bug Zapper 2009-06-09 23:41:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Solomon Peachy 2009-06-11 10:42:18 EDT
Just wanted to add a remark that qca-gnupg-2.0.0-0.3.beta3 fixed the problem on my end, and psi is finally usable again without having to pin the qt package at an older version.
Comment 28 Sven Lankes 2009-06-12 15:55:16 EDT
*** Bug 502354 has been marked as a duplicate of this bug. ***
Comment 29 Dalibor Horinek 2009-06-12 16:04:12 EDT
Maybe a solution ... I have backed up settings for psi and started with defaults. I added my accound and problem disappeared.
Comment 30 Sven Lankes 2009-06-12 16:09:19 EDT
As far as I understand it, the issue is/was:

There was a bug in the qca-gnupg code wrt. to handling/recognizing updates to the gnupg keystore. If you had a gnupg-keystore set up under your user, psi would block on watching for updates. It doesn't matter if you had psi set up to use gnupg encryption or not - the code would always be executed and the roster would always hang.

The combination of qca-gnupg beta3 and qca2-2.0.2 fixes this for me and for everyone commenting here.

Both updates are queued for F9, F10 and F11 and will go out with the next stable push (which will hopefully happen soon).
Comment 31 Fedora Update System 2009-06-15 22:03:11 EDT
qca2-2.0.2-1.fc9, qca-gnupg-2.0.0-0.3.beta3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.